1. Login Activity
TrustedIQ
  • Getting Started
    • Authentication
  • Users
    • List Users
      GET
  • Login Activity
    • List Login Activity
      GET
  • Schemas
    • User
    • Pagination
    • Login Activity
  1. Login Activity

List Login Activity

Developing
GET
/v1/login_activities

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.trustediq.com/v1/login_activities?page=1&limit=25' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "data": [
        {
            "id": 0,
            "user_email": "string",
            "authentication_method": "string",
            "oauth_provider": "string",
            "ip_address": "string",
            "otp_required": true,
            "success": true,
            "failure_reason": "string",
            "user_agent": "string",
            "created_at": "string",
            "user_id": 0,
            "session_id": "string"
        }
    ],
    "pagination": {
        "current_page": 0,
        "limit": 0,
        "page_count": 0
    }
}
Modified at 2026-07-07 12:27:31
Previous
List Users
Next
User
Built with